Bug 1602424 (CVE-2018-3081) - CVE-2018-3081 mysql: Client programs unspecified vulnerability (CPU Jul 2018)
Summary: CVE-2018-3081 mysql: Client programs unspecified vulnerability (CPU Jul 2018)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-3081
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1572124 1572138 1602383 1602428 1603531 1610986 1610990 1611523 1616261 1643060 1701264
Blocks: 1602385
TreeView+ depends on / blocked
 
Reported: 2018-07-18 10:46 UTC by Andrej Nemec
Modified: 2019-09-29 14:44 UTC (History)
25 users (show)

Fixed In Version: mysql 5.5.61, mysql 5.6.41, mysql 5.7.23, mysql 8.0.12, mariadb 5.5.61, mariadb 10.0.35, mariadb 10.1.33, mariadb 10.2.15, mariadb-connector-c 3.0.5, mariadb-connector-c 2.3.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:33:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3655 None None None 2018-11-26 12:34:43 UTC
Red Hat Product Errata RHSA-2019:1258 None None None 2019-05-21 19:55:12 UTC
Red Hat Product Errata RHSA-2019:2327 None None None 2019-08-06 12:41:09 UTC

Description Andrej Nemec 2018-07-18 10:46:57 UTC
Vulnerability in the MySQL Client component of Oracle MySQL (subcomponent: Client programs). Supported versions that are affected are 5.5.60 and prior, 5.6.40 and prior, 5.7.22 and prior and 8.0.11 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Client. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Client as well as unauthorized update, insert or delete access to some of MySQL Client accessible data.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html

Comment 1 Andrej Nemec 2018-07-18 10:48:00 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1602383]

Comment 2 Andrej Nemec 2018-07-18 11:06:22 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1602428]

Comment 7 Tomas Hoger 2018-08-15 12:12:44 UTC
Looking at the release notes for and changes included in the relevant MySQL versions, this CVE is apparently for this change:

  A heap overflow vulnerability in the MySQL client library was fixed.
  (Bug #27980823)

https://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-61.html
https://dev.mysql.com/doc/relnotes/mysql/5.6/en/news-5-6-41.html
https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-23.html

Relevant upstream commit is:

https://github.com/mysql/mysql-server/commit/e48d775c6f066add457fa8cfb2ebc4d5ff0c7613

This addresses a possible heap-based buffer overflow that may be triggered by a malicious server sending a malformed MySQL protocol data.

Comment 8 Tomas Hoger 2018-08-15 12:20:12 UTC
MariaDB was fixed via the following commit in versions 5.5.61, 10.0.35, 10.1.33, and 10.2.15:

https://github.com/MariaDB/server/commit/1d58d184c2c4ddd8a3b2be6f86d76c4e57bbe14f

This problem was also addressed in mariadb-connector-c in version 3.0.5:

https://github.com/MariaDB/mariadb-connector-c/commit/27b2f3d1f1550dfaee0f63a331a406ab31c1b37e
https://mariadb.com/kb/en/library/mariadb-connector-c-305-release-notes/

Comment 9 Tomas Hoger 2018-08-15 12:20:43 UTC
Created mariadb-connector-c tracking bugs for this issue:

Affects: fedora-27 [bug 1616261]

Comment 10 errata-xmlrpc 2018-11-26 12:34:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2018:3655 https://access.redhat.com/errata/RHSA-2018:3655

Comment 11 errata-xmlrpc 2019-05-21 19:55:10 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1258 https://access.redhat.com/errata/RHSA-2019:1258

Comment 12 errata-xmlrpc 2019-08-06 12:41:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2327 https://access.redhat.com/errata/RHSA-2019:2327


Note You need to log in before you can comment on or make changes to this bug.